# Generated by ~/.config/hypr/Scripts/theme-menu.sh
add_newline = true
palette = "hypr_theme"

format = """
[╭─](fg:accent_2)$os$username$hostname$directory$git_branch$git_status$nodejs$python$rust$golang$cmd_duration$status$fill$time
[╰─](fg:accent)$character
"""

[palettes.hypr_theme]
accent = "#00ff9c"
accent_2 = "#00cc88"
background = "#14141e"
panel = "#282837"
foreground = "#cdd6f4"
muted = "#cccccc"
selected = "#000000"
success = "#a6e3a1"
warning = "#f9e2af"
danger = "#f38ba8"
blue = "#89b4fa"
cyan = "#89dceb"
orange = "#fab387"
purple = "#cba6f7"

[fill]
symbol = " "
style = "fg:panel"

[os]
disabled = false
format = "[ $symbol ](fg:selected bg:accent)[](fg:accent bg:panel)"
style = "fg:selected bg:accent"

[os.symbols]
Arch = ""
CachyOS = ""
Linux = ""
Ubuntu = ""
Debian = ""
Fedora = ""
NixOS = ""

[username]
show_always = true
style_user = "fg:foreground bg:panel bold"
style_root = "fg:danger bg:panel bold"
format = "[ $user](fg:foreground bg:panel bold)"

[hostname]
ssh_only = false
style = "fg:muted bg:panel"
format = "[@$hostname ](fg:muted bg:panel)[](fg:panel bg:background)"

[directory]
style = "fg:accent bg:background bold"
read_only_style = "fg:danger bg:background bold"
truncation_length = 3
truncate_to_repo = true
read_only = " "
format = "[ 󰉋 $path$read_only ](fg:accent bg:background bold)"

[git_branch]
symbol = ""
style = "fg:purple bg:background bold"
format = "[on $symbol $branch ](fg:purple bg:background bold)"

[git_status]
style = "fg:warning bg:background bold"
format = "([$all_status$ahead_behind ](fg:warning bg:background bold))"
conflicted = "=${count} "
ahead = "⇡${count} "
behind = "⇣${count} "
diverged = "⇕⇡${ahead_count}⇣${behind_count} "
up_to_date = ""
untracked = "?${count} "
stashed = "*${count} "
modified = "!${count} "
staged = "+${count} "
renamed = "»${count} "
deleted = "x${count} "

[nodejs]
symbol = ""
style = "fg:success bg:background"
format = "[$symbol $version ](fg:success bg:background)"

[python]
symbol = ""
style = "fg:warning bg:background"
format = "[$symbol $version ](fg:warning bg:background)"

[rust]
symbol = ""
style = "fg:orange bg:background"
format = "[$symbol $version ](fg:orange bg:background)"

[golang]
symbol = ""
style = "fg:cyan bg:background"
format = "[$symbol $version ](fg:cyan bg:background)"

[cmd_duration]
min_time = 300
style = "fg:orange bg:background"
format = "[took $duration ](fg:orange bg:background)"

[status]
disabled = false
style = "fg:danger bg:background bold"
symbol = "✖"
format = "[$symbol $status ](fg:danger bg:background bold)"

[time]
disabled = false
time_format = "%H:%M"
style = "fg:muted"
format = "[ $time ]($style)"

[character]
success_symbol = "[❯](fg:accent bold)"
error_symbol = "[❯](fg:danger bold)"
vimcmd_symbol = "[❮](fg:accent_2 bold)"
